package com.ynet.life.action;

import com.jcraft.jsch.ChannelSftp;
import com.jcraft.jsch.Session;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.net.sftp.SftpService;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class BackUpAttachAction extends LifeJDBCAction {

   private String sftpServerAddress = "/opt/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/upload/backup";
   private String localAddress = "/usr/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/";


   public String execute(Context sftpService) throws GENEException {
      String sourceResultSet = "SELECT FGA_ATTACH,FGA_ATTNAME FROM fsp_gua_attach WHERE DATE_FORMAT(FGA_OPTIME,\'%Y-%m-%d\') = date_sub(date(NOW()),interval 1 day)";
      String ZDSourceResultSet = "SELECT FLA_ZDTZSPATH FROM fsp_loan_apply WHERE DATE_FORMAT(FLA_ZDTZSTIME,\'%Y-%m-%d\') = date_sub(date(NOW()),interval 1 day) AND FLA_APPLYSTT=\'1\'";
      Connection sourceConnection = null;

      try {
         ResultSet sourceResultSet1 = (sourceConnection = LifeDBAccess.getConnection()).prepareStatement(sourceResultSet).executeQuery();
         ResultSet ZDSourceResultSet1 = sourceConnection.prepareStatement(ZDSourceResultSet).executeQuery();
         Session e = null;
         ChannelSftp sftp = null;
         SftpService sftpService1 = (SftpService)sftpService.getService("sftpService");
         System.out.println("=====================sftpService:".concat(String.valueOf(sftpService1)));

         try {
            e = sftpService1.getSftpSession();
            System.out.println("1111111");
            sftp = sftpService1.getSftpClient(e);
            System.out.println("22222222");

            String e1;
            String tempFilePath;
            String tempZDFilePath;
            String filePath;
            for(; sourceResultSet1.next(); sftpService1.uploadFile(sftp, e1, tempFilePath)) {
               tempZDFilePath = sourceResultSet1.getString(1);
               filePath = sourceResultSet1.getString(2);
               if(tempZDFilePath.startsWith("upload")) {
                  e1 = this.localAddress + tempZDFilePath + LifeFile.DIR_SEPARATOR + filePath;
                  tempFilePath = this.sftpServerAddress + tempZDFilePath + LifeFile.DIR_SEPARATOR + filePath;
               } else {
                  tempFilePath = tempZDFilePath.substring(tempZDFilePath.indexOf("upload"));
                  e1 = tempZDFilePath + LifeFile.DIR_SEPARATOR + filePath;
                  tempFilePath = this.sftpServerAddress + LifeFile.DIR_SEPARATOR + tempFilePath + LifeFile.DIR_SEPARATOR + filePath;
               }
            }

            for(; ZDSourceResultSet1.next(); sftpService1.uploadFile(sftp, e1, tempFilePath)) {
               if((filePath = ZDSourceResultSet1.getString(1)).startsWith("upload")) {
                  e1 = this.localAddress + filePath;
                  tempFilePath = this.sftpServerAddress + filePath;
               } else {
                  tempZDFilePath = filePath.substring(filePath.indexOf("upload"));
                  e1 = filePath;
                  tempFilePath = this.sftpServerAddress + LifeFile.DIR_SEPARATOR + tempZDFilePath;
               }
            }
         } catch (TranFailException var33) {
            if(e != null) {
               e.disconnect();
            }

            if(sftp != null) {
               sftp.disconnect();
            }

            Trace.logError("LifeAction", var33.getMessage(), var33);
            throw var33;
         } finally {
            if(e != null) {
               e.disconnect();
            }

            if(sftp != null) {
               sftp.disconnect();
            }

         }
      } catch (SQLException var35) {
         try {
            sourceConnection.rollback();
         } catch (SQLException var32) {
            var32.printStackTrace();
         }

         var35.printStackTrace();
      } catch (TranFailException var36) {
         try {
            sourceConnection.rollback();
         } catch (SQLException var31) {
            var31.printStackTrace();
         }

         var36.printStackTrace();
      } finally {
         try {
            LifeDBAccess.releaseConnection(sourceConnection);
         } catch (TranFailException var30) {
            var30.printStackTrace();
         }

      }

      return "0";
   }

   public String getCurrentTime(String fmt) {
      Date date = Calendar.getInstance().getTime();
      return fmt != null && !"".equals(fmt)?(new SimpleDateFormat(fmt)).format(date):String.valueOf(date.getTime());
   }

   public static void main(String[] a) {
      String a1 = "/usr/jboss/jboss-eap-6.3/szyqjrb/deployments/szyqjrb.war/upload/upload/20200303/20200303143546829384.pdf";
      System.out.println(a1.substring(0, a1.lastIndexOf("/")));
   }
}
